# class KColorValueSelector

###

Module | kdeui
Namespace |
Class | KColorValueSelector
Inherits | KSelector

### methods

- KColorValueSelector (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0

  Constructs a widget for color selection.

- KColorValueSelector (o, parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  o | Qt.Orientation |
  parent | QWidget | 0

  Constructs a widget for color selection with a given orientation

- KColorValueSelector (a0)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  a0 | KColorValueSelector |

- KColorValueSelector (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QWidget | 0

- KColorValueSelector (a0, a1)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | Qt.Orientation |
  a1 | QWidget | 0

- chooserMode ( )

  returns KColorChooserMode

  Returns the current chooser mode.

  @return The chooser mode (one of the KColorChooserMode constants)

- colorValue ( )

  returns int

  Returns the current color value.

  @return The color value (0-255)

- drawContents (painter)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  painter | QPainter |

  Reimplemented from KSelector. The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

- drawPalette (pixmap)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  pixmap | QPixmap |

  Draws the contents of the widget on a pixmap, which is used for buffering.

- hue ( )

  returns int

  Returns the current hue value.

  Returns The hue value (0-255)

- resizeEvent (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QResizeEvent |

- saturation ( )

  returns int

  Returns the current saturation value.

  @return The saturation value (0-255)

- setChooserMode (chooserMode)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  chooserMode | KColorChooserMode |

  Sets the chooser mode. Doesn't automatically update the widget; you have to call updateContents manually.

  @param chooserMode Sets the chooser mode (one of the KColorChooserMode constants)

- setColorValue (colorValue)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  colorValue | int |

  Sets the color value. Doesn't automatically update the widget; you have to call updateContents manually.

  @param colorValue Sets the color value (0-255)

- setHue (hue)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  hue | int |

  Sets the hue value. Doesn't automatically update the widget; you have to call updateContents manually.

  @param hue Sets the hue value (0-255)

- setSaturation (saturation)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  saturation | int |

  Sets the saturation value. Doesn't automatically update the widget; you have to call updateContents manually.

  @param saturation Sets the saturation value (0-255)

- updateContents ( )

  returns Nothing

  Updates the widget's contents.